# OperationType

enum OperationType

Enumerates the different types of operations for which progress events can be received.

#### See also

LongRunningOperation

## Entries

TEST
Link copied to clipboard
TEST

Flag for test operation progress events.

TASK
Link copied to clipboard
TASK

Flag for task operation progress events.

GENERIC
Link copied to clipboard
GENERIC

Flag for operations with no specific type.

WORK_ITEM
Link copied to clipboard
WORK_ITEM

Flag for work item operation progress events.

PROJECT_CONFIGURATION
Link copied to clipboard
PROJECT_CONFIGURATION

Flag for project configuration operation progress events.

TRANSFORM
Link copied to clipboard
TRANSFORM

Flag for transform operation progress events.

TEST_OUTPUT
Link copied to clipboard
TEST_OUTPUT

Flag for test output operation progress events.

TEST_METADATA
Link copied to clipboard
TEST_METADATA

Flag for test metadata events.

FILE_DOWNLOAD
Link copied to clipboard
FILE_DOWNLOAD

Flag for file download progress events. This includes various types of files, for example files downloaded during dependency resolution, Gradle distribution downloads, and Java toolchain downloads.

BUILD_PHASE
Link copied to clipboard
BUILD_PHASE

Flag for build phase events.

PROBLEMS
Link copied to clipboard
PROBLEMS

Flag for problem events.

ROOT
Link copied to clipboard
ROOT

Flag for the topmost progress event.

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): OperationType

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<OperationType>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.